<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:09 AEST 2019 -->
<title>com.sk89q.worldedit (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="com.sk89q.worldedit (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/sk89q/util/yaml/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../com/sk89q/worldedit/blocks/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/sk89q/worldedit/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;com.sk89q.worldedit</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a></td>
<td class="colLast">
<div class="block">An <a href="../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent"><code>Extent</code></a> that handles history, <a href="../../../com/sk89q/worldedit/extent/inventory/BlockBag.html" title="class in com.sk89q.worldedit.extent.inventory"><code>BlockBag</code></a>s, change limits,
 block re-ordering, and much more.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../com/sk89q/worldedit/EditSessionFactory.html" title="class in com.sk89q.worldedit">EditSessionFactory</a></td>
<td class="colLast">
<div class="block">Creates new <a href="../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit"><code>EditSession</code></a>s.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../com/sk89q/worldedit/LocalConfiguration.html" title="class in com.sk89q.worldedit">LocalConfiguration</a></td>
<td class="colLast">
<div class="block">Represents WorldEdit's configuration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a></td>
<td class="colLast">
<div class="block">Stores session information.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../com/sk89q/worldedit/TracedEditSession.html" title="class in com.sk89q.worldedit">TracedEditSession</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../com/sk89q/worldedit/WorldEdit.html" title="class in com.sk89q.worldedit">WorldEdit</a></td>
<td class="colLast">
<div class="block">The entry point and container for a working implementation of WorldEdit.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Summary table, listing enums, and an explanation">
<caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Enum</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../com/sk89q/worldedit/EditSession.ReorderMode.html" title="enum in com.sk89q.worldedit">EditSession.ReorderMode</a></td>
<td class="colLast">
<div class="block">Reorder mode for <a href="../../../com/sk89q/worldedit/EditSession.html#setReorderMode-com.sk89q.worldedit.EditSession.ReorderMode-"><code>EditSession.setReorderMode(ReorderMode)</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../com/sk89q/worldedit/EditSession.Stage.html" title="enum in com.sk89q.worldedit">EditSession.Stage</a></td>
<td class="colLast">
<div class="block">Used by <a href="../../../com/sk89q/worldedit/EditSession.html#setBlock-com.sk89q.worldedit.math.BlockVector3-B-com.sk89q.worldedit.EditSession.Stage-"><code>EditSession.setBlock(BlockVector3, BlockStateHolder, Stage)</code></a> to
 determine which <a href="../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent"><code>Extent</code></a>s should be bypassed.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Exception Summary table, listing exceptions, and an explanation">
<caption><span>Exception Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Exception</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../com/sk89q/worldedit/DisallowedItemException.html" title="class in com.sk89q.worldedit">DisallowedItemException</a></td>
<td class="colLast">
<div class="block">Thrown when a disallowed item is used.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../com/sk89q/worldedit/EmptyClipboardException.html" title="class in com.sk89q.worldedit">EmptyClipboardException</a></td>
<td class="colLast">
<div class="block">Thrown when there is no clipboard set.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../com/sk89q/worldedit/IncompleteRegionException.html" title="class in com.sk89q.worldedit">IncompleteRegionException</a></td>
<td class="colLast">
<div class="block">Raised when a region is not fully defined.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../com/sk89q/worldedit/InvalidItemException.html" title="class in com.sk89q.worldedit">InvalidItemException</a></td>
<td class="colLast">
<div class="block">Thrown when an invalid item is specified.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../com/sk89q/worldedit/MaxBrushRadiusException.html" title="class in com.sk89q.worldedit">MaxBrushRadiusException</a></td>
<td class="colLast">
<div class="block">Thrown when a maximum radius for a brush is reached.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../com/sk89q/worldedit/MaxChangedBlocksException.html" title="class in com.sk89q.worldedit">MaxChangedBlocksException</a></td>
<td class="colLast">
<div class="block">Thrown when too many blocks are changed (which may be limited
 due to the configuration).</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../com/sk89q/worldedit/MaxRadiusException.html" title="class in com.sk89q.worldedit">MaxRadiusException</a></td>
<td class="colLast">
<div class="block">Thrown when a maximum radius is reached, such as, for example,
 in the case of a sphere command.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../com/sk89q/worldedit/NotABlockException.html" title="class in com.sk89q.worldedit">NotABlockException</a></td>
<td class="colLast">
<div class="block">Raised when an item is used when a block was expected.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../com/sk89q/worldedit/UnknownDirectionException.html" title="class in com.sk89q.worldedit">UnknownDirectionException</a></td>
<td class="colLast">
<div class="block">Thrown when an unknown direction is specified or detected.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../com/sk89q/worldedit/UnknownItemException.html" title="class in com.sk89q.worldedit">UnknownItemException</a></td>
<td class="colLast">
<div class="block">Thrown when no item exist by the ID.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></td>
<td class="colLast">
<div class="block">Parent for all WorldEdit exceptions.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/sk89q/util/yaml/package-summary.html">Prev&nbsp;Package</a></li>
<li><a href="../../../com/sk89q/worldedit/blocks/package-summary.html">Next&nbsp;Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/sk89q/worldedit/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
